Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class MatchFieldDef.PhoneticizeField

    java.lang.Object
      com.sun.mdm.index.parser.MatchFieldDef.PhoneticizeField

Enclosing class:
  MatchFieldDef

public class MatchFieldDef.PhoneticizeField
extends java.lang.Object

Field Summary
`(package private) java.lang.String` | `encodingType`
`(package private) java.lang.String` | `sourceFieldName`
`(package private) java.lang.String` | `targetFieldId`

Constructor Summary
`(package private)` | `MatchFieldDef.PhoneticizeField(java.lang.String sourceFieldName, java.lang.String targetFieldId, java.lang.String encodingType)`

Method Summary
`java.lang.String` | `getEncodingType()`
`java.lang.String` | `getSourceFieldName()`
`java.lang.String` | `getTargetFieldId()`
`void` | `setEncodingType(java.lang.String encodingType)`
`void` | `setSourceFieldName(java.lang.String sourceFieldName)`
`void` | `setTargetFieldId(java.lang.String targetFieldId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### encodingType

    java.lang.String encodingType

### sourceFieldName

    java.lang.String sourceFieldName

### targetFieldId

    java.lang.String targetFieldId

Constructor Detail

### MatchFieldDef.PhoneticizeField

    MatchFieldDef.PhoneticizeField(java.lang.String sourceFieldName,
                                   java.lang.String targetFieldId,
                                   java.lang.String encodingType)

Method Detail

### getEncodingType

    public java.lang.String getEncodingType()

### getSourceFieldName

    public java.lang.String getSourceFieldName()

### getTargetFieldId

    public java.lang.String getTargetFieldId()

### setEncodingType

    public void setEncodingType(java.lang.String encodingType)

### setSourceFieldName

    public void setSourceFieldName(java.lang.String sourceFieldName)

### setTargetFieldId

    public void setTargetFieldId(java.lang.String targetFieldId)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.